org.keycloak.models.utils.reflection

## Enum TypedPropertyCriteria.MatchOption

- java.lang.Object
- - java.lang.Enum<TypedPropertyCriteria.MatchOption>
  - - org.keycloak.models.utils.reflection.TypedPropertyCriteria.MatchOption

- All Implemented Interfaces:
    Serializable, Comparable<TypedPropertyCriteria.MatchOption>
  Enclosing class:
    TypedPropertyCriteria

      public static enum TypedPropertyCriteria.MatchOption
      extends Enum<TypedPropertyCriteria.MatchOption>

  Different options can be used to match a specific property based on its type. Regardless of the option chosen, if the property type equals the `propertyClass` it will be selected.

  - SUB_TYPE: Also consider properties where its type is a subtype of `propertyClass`. .
  - SUPER_TYPE: Also consider properties where its type is a superclass or superinterface of `propertyClass`. .

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `SUB_TYPE`
    `SUPER_TYPE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TypedPropertyCriteria.MatchOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TypedPropertyCriteria.MatchOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUB_TYPE

          public static final TypedPropertyCriteria.MatchOption SUB_TYPE

    - #### SUPER_TYPE

          public static final TypedPropertyCriteria.MatchOption SUPER_TYPE

    - #### ALL

          public static final TypedPropertyCriteria.MatchOption ALL

  - ### Method Detail

    - #### values

          public static TypedPropertyCriteria.MatchOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TypedPropertyCriteria.MatchOption c : TypedPropertyCriteria.MatchOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TypedPropertyCriteria.MatchOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All rights reserved.